Source: libwebcam
Section: libs
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 gengetopt,
 libxml2-dev,
 pkg-config,
Standards-Version: 4.6.1
Homepage: https://sourceforge.net/projects/libwebcam/
Vcs-Git: https://salsa.debian.org/debian/libwebcam.git
Vcs-Browser: https://salsa.debian.org/debian/libwebcam

Package: libwebcam0
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Webcam Library
 The Webcam Library libwebcam is designed to simplify
 the development of webcam applications, primarily on Linux but
 with an option to be ported to other platforms, in particular
 Solaris. It realizes part of what the unwritten Video4Linux user
 space library was always supposed to be: an easy to use library
 that shields its users from many of the difficulties and problems
 of using the V4L2 API directly.

Package: libwebcam0-dev
Section: libdevel
Architecture: linux-any
Depends:
 libwebcam0 (= ${binary:Version}),
 ${misc:Depends},
Description: Webcam Library - Development files
 This package provides the files needed to build apps that use libwecam.
 .
 The Webcam Library libwebcam is designed to simplify
 the development of webcam applications, primarily on Linux but
 with an option to be ported to other platforms, in particular
 Solaris. It realizes part of what the unwritten Video4Linux user
 space library was always supposed to be: an easy to use library
 that shields its users from many of the difficulties and problems
 of using the V4L2 API directly.

Package: uvcdynctrl
Section: utils
Architecture: linux-any
Depends:
 libwebcam0 (= ${binary:Version}),
 uvcdynctrl-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Command line tool to control v4l2 devices
 This package provides the tools needed to add vendor specific
 controls to uvc devices.
 .
 uvcdynctrl is part of the Webcam Library.
 .
 The Webcam Library libwebcam is designed to simplify
 the development of webcam applications, primarily on Linux but
 with an option to be ported to other platforms, in particular
 Solaris. It realizes part of what the unwritten Video4Linux user
 space library was always supposed to be: an easy to use library
 that shields its users from many of the difficulties and problems
 of using the V4L2 API directly.

Package: uvcdynctrl-data
Section: utils
Architecture: all
Depends:
 ${misc:Depends},
Description: Command line tool to control v4l2 devices - data files
 This package provides data files needed by uvcdynctrl to add
 vendor specific controls to uvc devices
 .
 uvcdynctrl is part of the Webcam Library.
 .
 The Webcam Library libwebcam is designed to simplify
 the development of webcam applications, primarily on Linux but
 with an option to be ported to other platforms, in particular
 Solaris. It realizes part of what the unwritten Video4Linux user
 space library was always supposed to be: an easy to use library
 that shields its users from many of the difficulties and problems
 of using the V4L2 API directly.
